using com.chinaeinv.einv.order.dto;

namespace com.chinaeinv.einv.order
{
    /**
    * 订单接口
    */
    public interface OrderFacade {
        /**
        * (异步)开具蓝字发票异步方法
        */
        Result KpAsync(Order order);

        /**
        * (异步)开具红字发票异步方法
        */
        Result ChAsync(Order order);

        /**
        * (异步)对开票失败的订单重新开票异步方法
        */
        Result RetryKpAsync(OrderBase orderBase);

        /**
        * (同步)取消订单
        */
        Result Cancel(OrderBase orderBase);

        /**
        * (同步)根据订单编号查询发票
        */
        InvoiceResult CxByOrderNo(OrderBase orderBase);
    }
}