namespace com.chinaeinv.einv.order.dto
{
	/**
	* 发票项目明细
	*/
	public class InvoiceItem {
		/**
		* 发票行性质 0 正常行、1 折扣行、2 被折扣行
		*/
		public string type { get; set; }

		/**
		* 商品编码
		*/
		public string code { get; set; }

		/**
		* 商品名称
		*/
		public string name { get; set; }

		/**
		* 规格型号
		*/
		public string spec { get; set; }

		/**
		* 含税商品单价
		*/
		public string price { get; set; }

		/**
		* 数量
		*/
		public string quantity { get; set; }

		/**
		* 单位
		*/
		public string uom { get; set; }

		/**
		* 税率
		*/
		public string taxRate { get; set; }

		/**
		* 税价合计金额
		*/
		public string amount { get; set; }

		/**
		* 不含税金额
		*/
		public string noTaxAmount { get; set; }

		/**
		* 税额
		*/
		public string taxAmount { get; set; }

		/**
		* 商品分类编码
		*/
		public string catalogCode { get; set; }

		/**
		* 优惠政策标识
		*/
		public string preferentialPolicyFlg { get; set; }

		/**
		* 增值税特殊管理
		*/
		public string addedValueTaxFlg { get; set; }

		/**
		* 零税率标识
		*/
		public string zeroTaxRateFlg { get; set; }
	}
}