namespace com.chinaeinv.einv.order.dto
{
    /**
    * 订单基本信息
    */
    public class OrderBase {
        /**
        * 订单编号
        */
        public string orderNo { get; set; }

        /**
        * 子订单编号
        */
        public string subOrderNo { get; set; }

        /**
        * 销货方纳税人识别号
        */
        public string taxpayerCode { get; set; }

        /**
        * 发票类型
        */
        public string invoiceType { get; set; }

        public OrderBase() {
        }

        public OrderBase(string orderNo, string taxpayerCode) {
            this.orderNo = orderNo;
            this.taxpayerCode = taxpayerCode;
        }

        public OrderBase(string orderNo, string subOrderNo, string taxpayerCode) {
            this.orderNo = orderNo;
            this.subOrderNo = subOrderNo;
            this.taxpayerCode = taxpayerCode;
        }
    }
}
