package com.chinaeinv.einv.order.dto;

import java.math.BigDecimal;

public class OrderItem {
    /**
     * 商品编码
     */
    private String code;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 规格型号
     */
    private String spec;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 单位
     */
    private String uom;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 税价合计金额
     */
    private BigDecimal amount;

    /**
     * 折扣金额
     */
    private BigDecimal discountAmount;

    /**
     * 商品分类编码
     */
    private String catalogCode;

    /**
     * 优惠政策标识
     */
    private String preferentialPolicyFlg;

    /**
     * 增值税特殊管理
     */
    private String addedValueTaxFlg;

    /**
     * 零税率标识
     */
    private String zeroTaxRateFlg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public String getUom() {
        return uom;
    }

    public void setUom(String uom) {
        this.uom = uom;
    }

    public BigDecimal getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }

    public String getCatalogCode() {
        return catalogCode;
    }

    public void setCatalogCode(String catalogCode) {
        this.catalogCode = catalogCode;
    }

    public String getPreferentialPolicyFlg() {
        return preferentialPolicyFlg;
    }

    public void setPreferentialPolicyFlg(String preferentialPolicyFlg) {
        this.preferentialPolicyFlg = preferentialPolicyFlg;
    }

    public String getAddedValueTaxFlg() {
        return addedValueTaxFlg;
    }

    public void setAddedValueTaxFlg(String addedValueTaxFlg) {
        this.addedValueTaxFlg = addedValueTaxFlg;
    }

    public String getZeroTaxRateFlg() {
        return zeroTaxRateFlg;
    }

    public void setZeroTaxRateFlg(String zeroTaxRateFlg) {
        this.zeroTaxRateFlg = zeroTaxRateFlg;
    }
}
